﻿using System;
using System.Data;
using System.Windows;

namespace GridDateFormatDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DataTable data;

        public MainWindow()
        {
            this.InitializeData();

            this.InitializeComponent();

            this.DataContext = this;
        }

        public DataTable Data
        {
            get { return this.data; }
        }

        private void InitializeData()
        {
            this.data = new DataTable();
            this.data.Columns.Add("Id", typeof(int));
            this.data.Columns.Add("DateTime", typeof(DateTimeOffset));
            this.data.Columns.Add("Description", typeof(string));

            this.AddRow(0, new DateTimeOffset(2011, 12, 12, 7, 27, 0, new TimeSpan(1,0,0)), "Date/Time stamp with offset +1");
            this.AddRow(1, new DateTimeOffset(2011, 12, 12, 6, 27, 0, new TimeSpan(0,0,0)), "Same Date/Time stamp but with offset 0");
        }

        private void AddRow(int id, DateTimeOffset dateTimeOffset, string description)
        {
            DataRow row = this.data.NewRow();
            row["Id"] = id;
            row["DateTime"] = dateTimeOffset;
            row["Description"] = description;
            this.data.Rows.Add(row);
        }
    }
}
